<template>
  <JDialogConfirm>
    <template #title>
      <span>Lorem ipsum dolor sit amet?</span>
    </template>
    <template #body>
      Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore saepe quasi quae quis
      excepturi omnis aliquid accusantium temporibus officia dolorem.
    </template>
    <template #actions="{ setFocus }">
      <JButton
        type="normal"
        @click="$dialog.closeModal"
      >
        No
      </JButton>
      <JButton
        :ref="(el) => setFocus(el)"
        class="ml-4"
        @keydown.enter="$dialog.closeModal"
        @click="$dialog.closeModal"
      >
        Yes
      </JButton>
    </template>
  </JDialogConfirm>
</template>
